Get Bookmarks by folder ID
curl --request GET \
--url https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1346889436626259968"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Get Bookmarks by folder ID
Retrieves Posts in a specific Bookmark folder by its ID for the authenticated user.
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
/
{folder_id}
Get Bookmarks by folder ID
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the authenticated source User for whom to return results. Unique identifier of this User. The value must be the same as the authenticated user.
Example:
"2244994945"
The ID of the Bookmark Folder that the authenticated User is trying to fetch Posts for. The unique identifier of this Bookmark folder.
Pattern:
^[0-9]{1,19}$Example:
"1146654567674912769"
Response
The request has succeeded.
Show child attributes
Show child attributes
Minimum array length:
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes